Настраиваем обновление узлов в РИБ после обновления центрального

  оглавление  Архивируем базы на яндекс.диск

Обновлятор-1с. Зачем может понадобится строгая проверка рекомендуемой версии 1с при обновлении?

Обо всём по порядку.

Внимание! Всё, что я буду описывать ниже относится к случаю, когда вы доверили обновлятору автоматический поиск нужного обновления, а не указали его напрямую.

Первая проверка

Итак, прежде всего перед накатыванием найденного обновления на базу обновлятор читает манифест этого обновления (файл 1cv8.mft). В этом файле указан минимальный релиз платформы 1с, который можно использовать с данной версией конфигурации (например, 8.3).

И если используемая вами версия 1с меньше указанной в манифесте, то обновление не состоится в любом случае, так как иначе это могло бы привести к повреждению базы данных.

Вторая проверка

Далее обновлятор всеми правдами и не правдами пытается узнать: "Какую же версию платформы 1с РЕКОМЕНДУЕТ использовать для работы с данным обновлением?"

Сделать он (обновлятор) это может несколькими способами.

1. Если в настройках программы отмечена опция "Искать обновления на сайте 1С", то информацию о рекомендуемой версии обновлятор берёт прямо с сайта 1с.

2. Если доступа к сайту 1с нет или там не указана рекомендуемая версия платформы для данной конфигурации, то обновлятор прочитывает файл Readme.txt в папке с обновлением и узнаёт рекомендуемую версию оттуда.

И если используемая вами версия 1с меньше рекомендуемой, то дальнейшее поведение обновлятора будет зависеть от того, установлена ли у вас настройка "Выполнять строгую проверку рекомендуемой версии 1с":

Строгая проверка НЕ установлена (по умолчанию)

В этом случае обновлятор применит обновление, но перед этим выдаст предупреждение о необходимости более новой версии 1с в отчёт красным цветом, а статус базы после обновления в отчёте будет ЕСТЬ ПРЕДУПРЕЖДЕНИЯ.

При этом обновлятор намеренно не выполнит автоматическое подтверждение легальности в режиме пользователя, отложив его запуск до того момента, когда база будет открыта пользователем.

И если у вас настроено оповещение на почту при ошибках, то вы получите уведомление об этом предупреждении.

Строгая проверка установлена

В этом случае обновлятор откажется применять обновление. В отчёт также красным цветом будет выведено предупреждение о необходимости в более новой версии 1с, а статус базы в отчёте после этой попытки будет С ОШИБКАМИ.

С уважением, (школа 1С программистов).



Владимир Милькин
Как помочь сайту: расскажите (кнопки поделиться ниже) о нём своим друзьям и коллегам. Сделайте это один раз и вы внесете существенный вклад в развитие сайта. На сайте нет рекламы, но чем больше людей им пользуются, тем больше сил у меня для его поддержки.

Нажмите одну из кнопок, чтобы поделиться:



Настраиваем обновление узлов в РИБ после обновления центрального

  оглавление  Архивируем базы на яндекс.диск